cmake_minimum_required(VERSION 3.25)
project(fishtalk)

file(GLOB SRCS src/*.c)

add_library(fishtalk ${SRCS})
target_compile_definitions(fishtalk PRIVATE _FISHTALK)
target_include_directories(fishtalk PUBLIC include)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
	target_compile_definitions(fishtalk PRIVATE DEBUG)
endif()

add_executable(say say.c)
target_link_libraries(say PRIVATE fishtalk)
